package com.cxytiandi.spider_java;

import java.util.List;

import us.codecraft.webmagic.Page;
import us.codecraft.webmagic.Site;
import us.codecraft.webmagic.Spider;
import us.codecraft.webmagic.processor.PageProcessor;
import us.codecraft.webmagic.selector.Selectable;

public class PageProcess3 implements PageProcessor {
	
	private Site site = Site.me().setRetrySleepTime(3);
	
	@Override
	public Site getSite() {
		return site;
	}

	@Override
	public void process(Page page) {
		String imgUrl = page.getHtml().xpath("//img[@class='img-responsive']//@src").get();
		System.out.println(imgUrl);
		/*List<Selectable> nodes = page.getHtml().xpath("//div[@class='feature-wrap']/h2/a").nodes();
		for (Selectable selectable : nodes) {
			System.out.println(selectable.xpath("a/text()"));
		}*/
		List<String> list = page.getHtml().xpath("//div[@class='feature-wrap']/h2/a/text()").all();
		for (String string : list) {
			System.out.println(string);
		}
		
		list = page.getHtml().xpath("//div[@class='feature-wrap']/h2/a//@href").all();
		for (String string : list) {
			System.out.println(string);
		}
	}
	
	public static void main(String[] args) {
		Spider.create(new PageProcess3()).addUrl("http://cxytiandi.com/").run();
	}

}
