package com.cxytiandi.spider_java;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;

/**
 * 通过模拟浏览器抓取数据
 * @author 尹吉欢  QQ:1304489315
 *
 */
public class SeleniumTest {
	
	public static void main(String[] args) throws InterruptedException {
		System.setProperty("webdriver.chrome.driver", "/Users/yinjihuan/Downloads/chromedriver 2");
		WebDriver driver = new ChromeDriver();
		driver.get("http://cxytiandi.com/");
		Thread.sleep(3000);
		//System.out.println(driver.getPageSource());
		driver.findElement(By.className("navbar-nav")).findElements(By.tagName("li")).get(0).click();
		driver.findElement(By.id("keywordInp")).sendKeys("java");
		driver.findElement(By.className("search_btn")).click();
		//得到所有窗口的集合
		Set<String> windows = driver.getWindowHandles();
		List<String> list = new ArrayList<>(windows);
		driver.switchTo().window(list.get(1));
		System.out.println(driver.getPageSource());
		driver.quit();
		
	}
	
}
