package com.cxytiandi.spider_java;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;

import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;
import org.jsoup.select.Elements;

public class Test {
	public static void main(String[] args) throws MalformedURLException, IOException {
		String html = HttpClient.get("http://cxytiandi.com/blog/detail/6904", "utf-8");
		//System.out.println(html);
		
		Document doc = Jsoup.parse(new URL("http://cxytiandi.com/blog/detail/6904"), 1000);
		Element ul = doc.select(".article__content ul").get(1);
		Elements lis = ul.children();
		for (Element li : lis) {
			String text = li.text();
			//System.out.println(text);
		}
		
		Element el = doc.select("#blog").get(0);
		System.out.println(el.text());
		System.out.println("----------");
		
		el = doc.getElementById("blog");
		System.out.println(el.text());
		System.out.println("----------");
		
		Element detail_post = doc.getElementsByClass("detail_post").get(0);
		Element img = detail_post.getElementsByTag("img").get(0);
		System.out.println(img.attr("src"));
		System.out.println(img.attr("style"));
		
		System.err.println(doc.title());
	}
}
