package com.cxytiandi.spider_java;

import java.io.File;
import java.io.IOException;

import org.apache.commons.io.FileUtils;

import com.gargoylesoftware.htmlunit.BrowserVersion;
import com.gargoylesoftware.htmlunit.FailingHttpStatusCodeException;
import com.gargoylesoftware.htmlunit.NicelyResynchronizingAjaxController;
import com.gargoylesoftware.htmlunit.WebClient;
import com.gargoylesoftware.htmlunit.html.HtmlPage;

/**
 * 动态ajax数据抓取
 * @author 尹吉欢  QQ:1304489315
 */
public class HtmlUnitTest {
	public static void main(String[] args) {
		WebClient webClient = new WebClient(BrowserVersion.CHROME);
		webClient.getOptions().setTimeout(35000);
		webClient.setAjaxController(new NicelyResynchronizingAjaxController());
		HtmlPage page;
		try {
			page = webClient.getPage("http://shanghai.anjuke.com/prop/view/A791303175?from=structured_dict&spread=commsearch_p&ab=expclick-AJKERSHOUFANG_101_sortrand_desc&position=3&now_time=1491571761");
			FileUtils.write(new File("a.html"), page.asXml(), "utf-8");
		} catch (FailingHttpStatusCodeException | IOException e1) {
			e1.printStackTrace();
		}
		webClient.close();
	}
}
