package com.cxytiandi.spider_java;

import java.io.DataOutputStream;
import java.io.UnsupportedEncodingException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 登陆网站进行数据抓取
 * @author yinjihuan
 * 账号/密码：shanghai123
 */
public class LoginTest {
	
	public static void main(String[] args) throws UnsupportedEncodingException {
		Map<String, String> params = new HashMap<>();
		params.put("CityName", "上海");
		params.put("xiaoquID", "33803");
		params.put("Radius", "2");
		
		Map<String, String> headers = new HashMap<>();
		headers.put("Accept-Encoding", "gzip, deflate");
		headers.put("Accept-Language", "zh-CN,zh;q=0.8");
		headers.put("Connection", "keep-alive");
		headers.put("Content-Length", "51");
		headers.put("Origin", "http://www.fungugu.com");
		headers.put("Content-Type", "application/x-www-form-urlencoded; charset=UTF-8");
		headers.put("Host", "www.fungugu.com");
		headers.put("X-Requested-With", "XMLHttpRequest");
		headers.put("User-Agent","Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.95 Safari/537.36");
		headers.put("Referer", "http://www.fungugu.com/JinRongGuZhi/toJinRongGuZhiFromHome");
		String cookie = login("shanghai123", "b0fc70cdadda3f237342d041ad012a27");
		headers.put("Cookie", cookie);
		String result = HttpClient.post("http://www.fungugu.com/JinRongGuZhi/getZhoubianxiaoqu", params, headers, "utf-8");
		System.out.println(result);
		
	}
	
	
	private static String login(String name, String pass) {
		String loginUrl = "http://www.fungugu.com/DengLu/doLogin_noLogin";
		Map<String, String> params = new HashMap<>();
		params.put("pwd_login_username", name);
		params.put("pwd_login_password", pass);
		params.put("remembermeVal", "0");
		
		try {
			URL url = new URL(loginUrl);
			HttpURLConnection conn = (HttpURLConnection) url.openConnection();
			conn.setRequestMethod("POST");
			//参数要输出
			conn.setDoOutput(true);
			//不使用缓存
			conn.setUseCaches(false);
			conn.setConnectTimeout(60 * 1000);
			conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded; charset=UTF-8");
			conn.connect();
			if (params != null && params.keySet().size() > 0) {
				//kw=java&name=yjh
				StringBuilder sb = new StringBuilder();
				for (String key : params.keySet()) {
					sb.append(key + "=" + URLEncoder.encode(params.get(key), "utf-8") + "&");
				}
				String param = sb.delete(sb.length() - 1, sb.length()).toString();
				System.err.println(param);
				DataOutputStream out = new DataOutputStream(conn.getOutputStream());
				out.writeBytes(param);
				out.flush();
				out.close();
			}
			Map<String, List<String>> headers = conn.getHeaderFields();
			String cookieResult = null;
			for (String key : headers.keySet()) {
				if (key != null && key.equals("Set-Cookie")) {
					List<String> cookies = headers.get(key);
					for (String cookie : cookies) {
						if (cookie.startsWith("jrbqiantai=")) {
							cookieResult = cookie;
							System.out.println(cookieResult);
							break;
						}
					}
				}
			}
			conn.disconnect();
			return cookieResult;
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}
}
