package com.cxytiandi.spider_java;

import us.codecraft.webmagic.Page;
import us.codecraft.webmagic.Site;
import us.codecraft.webmagic.Spider;
import us.codecraft.webmagic.processor.PageProcessor;

public class PageProcess implements PageProcessor {
	
	private Site site = Site.me().setRetrySleepTime(3);
	
	@Override
	public Site getSite() {
		return site;
	}

	@Override
	public void process(Page page) {
		String html = page.getHtml().get();
		System.out.println(html);
	}
	
	public static void main(String[] args) {
		Spider.create(new PageProcess()).addUrl("http://webmagic.io/").run();
	}

}
