package com.cxytiandi.spider_java;

import java.util.List;

import us.codecraft.webmagic.Page;
import us.codecraft.webmagic.Site;
import us.codecraft.webmagic.Spider;
import us.codecraft.webmagic.processor.PageProcessor;
import us.codecraft.webmagic.selector.Selectable;

public class PageProcess2 implements PageProcessor {
	
	private Site site = Site.me().setRetrySleepTime(3);
	
	@Override
	public Site getSite() {
		return site;
	}

	@Override
	public void process(Page page) {
		String imgUrl = page.getHtml().$(".img-responsive", "src").get();
		System.out.println(imgUrl);
		
		List<Selectable> nodes = page.getHtml().$(".features .feature-wrap").nodes();
		for (Selectable selectable : nodes) {
			String href = selectable.$("h2 a", "href").get();
			System.out.println(href);
		}
	}
	
	public static void main(String[] args) {
		Spider.create(new PageProcess2()).addUrl("http://cxytiandi.com/").run();
	}

}
